CREATE TABLE JCL_ORG_SCHEME (
   ID NUMBER NOT NULL,
   SCHEME_NO NVARCHAR2(100) NULL,
   SCHEME_NAME NVARCHAR2(100) NULL,
   SCHEME_DESCRIPTION NVARCHAR2(1000) NULL,
   FORBIDDEN_TAG NUMBER NULL,
   IS_USED NUMBER NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_SCHEME_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_LEVEL (
   ID NUMBER NOT NULL,
   LEVEL_NO NVARCHAR2(100) NULL,
   LEVEL_NAME NVARCHAR2(100) NULL,
   DESCRIPTION NVARCHAR2(1000) NULL,
   SCHEME_ID NUMBER NULL,
   FORBIDDEN_TAG NUMBER NULL,
   IS_USED NUMBER NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_LEVEL_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_GRADE (
   ID NUMBER NOT NULL,
   GRADE_NO NVARCHAR2(100) NULL,
   GRADE_NAME NVARCHAR2(100) NULL,
   DESCRIPTION NVARCHAR2(1000) NULL,
   SCHEME_ID NUMBER NULL,
   LEVEL_ID VARCHAR2(4000) NULL,
   FORBIDDEN_TAG NUMBER NULL,
   IS_USED NUMBER NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_GRADE_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_SEQUENCE (
     ID NUMBER NOT NULL,
     SEQUENCE_NO NVARCHAR2(100) NULL,
     SEQUENCE_NAME NVARCHAR2(100) NULL,
     DESCRIPTION NVARCHAR2(1000) NULL,
     SCHEME_ID NUMBER NULL,
     FORBIDDEN_TAG NUMBER NULL,
     IS_USED NUMBER NULL,
     CREATOR NUMBER NULL,
     DELETE_TYPE NUMBER NULL,
     CREATE_TIME DATE NULL,
     UPDATE_TIME DATE NULL,
     CONSTRAINT JCL_ORG_SEQUENCE_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_POST (
	      ID NUMBER NOT NULL,
	      POST_NO NVARCHAR2(100) NULL,
	      POST_NAME NVARCHAR2(100) NULL,
	      DESCRIPTION NVARCHAR2(1000) NULL,
	      IS_USED NUMBER NULL,
	      CREATOR NUMBER NULL,
	      DELETE_TYPE NUMBER NULL,
	      CREATE_TIME DATE NULL,
	      UPDATE_TIME DATE NULL,
	      CONSTRAINT JCL_ORG_POST_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_POST_INFO (
      ID NUMBER NOT NULL,
      POST_INFO_NO NVARCHAR2(100) NULL,
      POST_INFO_NAME NVARCHAR2(100) NULL,
      POST_INFO_AUTHORITY NVARCHAR2(1000) NULL,
      POST_INFO_DUTY NVARCHAR2(1000) NULL,
      POST_INFO_QUALIFICATION NVARCHAR2(1000) NULL,
      POST_ID NUMBER NULL,
      DESCRIPTION NVARCHAR2(1000) NULL,
      FORBIDDEN_TAG NUMBER NULL,
      IS_USED NUMBER NULL,
      CREATOR NUMBER NULL,
      DELETE_TYPE NUMBER NULL,
      CREATE_TIME DATE NULL,
      UPDATE_TIME DATE NULL,
      CONSTRAINT JCL_ORG_POST_INFO_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_COMP (
	      ID NUMBER NOT NULL,
	      COMP_NO NVARCHAR2(100) NULL,
	      COMP_NAME NVARCHAR2(100) NULL,
	      COMP_NAME_SHORT NVARCHAR2(100) NULL,
	      PARENT_COMPANY NUMBER NULL,
          EC_COMPANY NUMBER NULL,
	      ORG_CODE NVARCHAR2(100) NULL,
	      INDUSTRY NUMBER NULL,
	      COMP_PRINCIPAL NUMBER NULL,
	      DESCRIPTION NVARCHAR2(1000) NULL,
	      FORBIDDEN_TAG NUMBER NULL,
	      SHOW_ORDER NUMBER NULL,
	      IS_USED NUMBER NULL,
	      CREATOR NUMBER NULL,
	      DELETE_TYPE NUMBER NULL,
	      CREATE_TIME DATE NULL,
	      UPDATE_TIME DATE NULL,
	      UUID NVARCHAR2(100) NULL,
	      CONSTRAINT JCL_ORG_COMP_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_FIELD_EXTENDGROUP (
          ID NUMBER NOT NULL,
          PID NUMBER NULL,
          EXTEND_TYPE NUMBER NULL,
          GROUP_NAME NVARCHAR2(100) NULL,
          SHOW_ORDER NUMBER null,
          IS_SHOW NVARCHAR2(100) NULL,
          IS_SYSTEM_DEFAULT NUMBER NULL,
          CREATOR NUMBER NULL,
          DELETE_TYPE NUMBER NULL,
          CREATE_TIME DATE NULL,
          UPDATE_TIME DATE NULL,
          CONSTRAINT JCL_FIELD_EXTENDGROUP_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_FIELD_EXTENDTITLE (
          ID NUMBER NOT NULL,
          GROUP_ID NUMBER NULL,
          TITLE VARCHAR(100) NULL,
          SHOW_ORDER NUMBER NULL,
          IS_SHOW NUMBER NULL,
          IS_SYSTEM_DEFAULT NUMBER NULL,
          CREATOR NUMBER NULL,
          DELETE_TYPE NUMBER NULL,
          CREATE_TIME DATE NULL,
          UPDATE_TIME DATE NULL,
          CONSTRAINT JCL_FIELD_EXTENDTITLE_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_FIELD_EXTENDINFO (
         ID NUMBER NOT NULL,
         EXTEND_TYPE NUMBER NULL,
         TABLE_NAME NVARCHAR2(100) NULL,
         FIELD_NAME NVARCHAR2(100) NULL,
         FIELD_NAME_DESC NVARCHAR2(100) NULL,
         FIELD_TYPE NVARCHAR2(1000) NULL,
         CONTROL_TYPE NUMBER NULL,
         CUSTOM_VALUE NVARCHAR2(1000) NULL,
         BROWSER_TYPE  NVARCHAR2(100) NULL,
         EXTEND_GROUP_ID NUMBER NULL,
         ISENABLE NUMBER NULL,
         ISREQUIRED NUMBER NULL,
         LIST_SHOW NUMBER NULL,
         SEARCH_SHOW NUMBER NULL,
         EDIT_SHOW NUMBER NULL,
         ADD_SHOW NUMBER NULL,
         BROWSER_SHOW NUMBER NULL,
         SHOW_ORDER NUMBER NULL,
         IS_SYSTEM_DEFAULT NUMBER NULL,
         CREATOR NUMBER NULL,
         DELETE_TYPE NUMBER NULL,
         CREATE_TIME DATE NULL,
         UPDATE_TIME DATE NULL,
         CONSTRAINT JCL_FIELD_EXTENDINFO_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_COMPEXT (
    ID NUMBER NOT NULL,
    CREATOR NUMBER NULL,
    DELETE_TYPE NUMBER NULL,
    CREATE_TIME DATE NULL,
    UPDATE_TIME DATE NULL,
    CONSTRAINT JCL_ORG_COMPEXT_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_COMPEXT_DT1 (
        ID NUMBER NOT NULL,
        MAINID NUMBER NULL,
        CREATOR NUMBER NULL,
        DELETE_TYPE NUMBER NULL,
        CREATE_TIME DATE NULL,
        UPDATE_TIME DATE NULL,
        CONSTRAINT JCL_ORG_COMPEXT_DT1_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_DEPT (
	      ID NUMBER NOT NULL,
	      DEPT_NO NVARCHAR2(100) NULL,
	      DEPT_NAME NVARCHAR2(100) NULL,
	      DEPT_NAME_SHORT NVARCHAR2(100) NULL,
	      PARENT_COMP NUMBER NULL,
          EC_COMPANY NUMBER NULL,
	      PARENT_DEPT NUMBER NULL,
          EC_DEPARTMENT NUMBER NULL,
	      DEPT_PRINCIPAL NUMBER NULL,
	      SHOW_ORDER NUMBER NULL,
	      DESCRIPTION NVARCHAR2(1000) NULL,
	      FORBIDDEN_TAG NUMBER NULL,
	      IS_USED NUMBER NULL,
	      CREATOR NUMBER NULL,
	      DELETE_TYPE NUMBER NULL,
	      CREATE_TIME DATE NULL,
	      UPDATE_TIME DATE NULL,
	      UUID NVARCHAR2(100) NULL,
	      CONSTRAINT JCL_ORG_DEPT_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_DEPTEXT (
    ID NUMBER NOT NULL,
    CREATOR NUMBER NULL,
    DELETE_TYPE NUMBER NULL,
    CREATE_TIME DATE NULL,
    UPDATE_TIME DATE NULL,
    CONSTRAINT JCL_ORG_DEPTEXT_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_DEPTEXT_DT1 (
        ID NUMBER NOT NULL,
        MAINID NUMBER NULL,
        CREATOR NUMBER NULL,
        DELETE_TYPE NUMBER NULL,
        CREATE_TIME DATE NULL,
        UPDATE_TIME DATE NULL,
        CONSTRAINT JCL_ORG_DEPTEXT_DT1_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOB (
	     ID NUMBER NOT NULL,
	     JOB_NO NVARCHAR2(100) NULL,
	     JOB_NAME NVARCHAR2(100) NULL,
	     PARENT_COMP NUMBER NULL,
	     EC_COMPANY NUMBER NULL,
	     PARENT_DEPT NUMBER NULL,
	     EC_DEPARTMENT NUMBER NULL,
	     SEQUENCE_ID NUMBER NULL,
	     SCHEME_ID NUMBER NULL,
	     PARENT_JOB NUMBER NULL,
	     IS_KEY NUMBER NULL,
	     WORKPLACE NVARCHAR2(100) NULL,
	     DESCRIPTION NVARCHAR2(1000) NULL,
	     WORK_DUTY NVARCHAR2(1000) NULL,
	     WORK_AUTHORITY NVARCHAR2(1000) NULL,
	     FORBIDDEN_TAG NUMBER NULL,
	     SHOW_ORDER NUMBER NULL,
             GRADE_ID NVARCHAR2(100) NULL,
             LEVEL_ID VARCHAR2(4000) NULL,
	     IS_USED NUMBER NULL,
	     CREATOR NUMBER NULL,
	     DELETE_TYPE NUMBER NULL,
	     CREATE_TIME DATE NULL,
	     UPDATE_TIME DATE NULL,
	     CONSTRAINT JCL_ORG_JOB_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOBDT (
   ID NUMBER NOT NULL,
   MAINID NUMBER NULL,
   LEVEL_ID NVARCHAR2(100) NULL,
   GRADE_ID NVARCHAR2(100) NULL,
   LEVEL_ID_SPAN NVARCHAR2(1000) NULL,
   GRADE_ID_SPAN NVARCHAR2(1000) NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_JOBDT_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOBEXT (
   ID NUMBER NOT NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_JOBEXT_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOBEXT_DT1 (
       ID NUMBER NOT NULL,
       MAINID NUMBER NULL,
       CREATOR NUMBER NULL,
       DELETE_TYPE NUMBER NULL,
       CREATE_TIME DATE NULL,
       UPDATE_TIME DATE NULL,
       POST_ID NVARCHAR2(100) NULL,
       POST_INFO_ID NVARCHAR2(100) NULL,
       POST_IDSPAN NVARCHAR2(1000) NULL,
       POST_INFO_IDSPAN NVARCHAR2(1000) NULL,
       CONSTRAINT JCL_ORG_JOBEXT_DT1_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRESOURCE (
        ID NUMBER NOT NULL,
        WORK_CODE NVARCHAR2(60) NULL,
        LOGIN_ID NVARCHAR2(60) NULL,
        LAST_NAME NVARCHAR2(60) NULL,
        SEX NUMBER NULL,
        ACCOUNT_TYPE NUMBER NULL,
        BELONG_TO NUMBER NULL,
        COMPANY_ID NUMBER NULL,
        DEPARTMENT_ID NUMBER NULL,
        JOB_ACTIVITY NUMBER NULL,
        JOB_TITLE NUMBER NULL,
        JOB_CALL NUMBER NULL,
        JOB_LEVEL NUMBER NULL,
        JOB_GROUP_ID NUMBER NULL,
        JOB_ACTIVITY_DESC NVARCHAR2(200) NULL,
        STATUS NUMBER NULL,
        SYSTEM_LANGUAGE NUMBER NULL,
        RESOURCE_IMAGE_ID NVARCHAR2(1000) NULL,
        MESSAGER_URL NVARCHAR2(1000) NULL,
        LOCATION_ID NUMBER NULL,
        MANAGER_ID NUMBER NULL,
        ASSISTANT_ID NUMBER NULL,
        MOBILE NVARCHAR2(60) NULL,
        TELEPHONE NVARCHAR2(60) NULL,
        MOBILE_CALL NVARCHAR2(60) NULL,
        FAX NVARCHAR2(60) NULL,
        EMAIL NVARCHAR2(60) NULL,
        WORKROOM NVARCHAR2(60) NULL,
        PASS_WORD NVARCHAR2(100) NULL,
        SEC_LEVEL NUMBER NULL,
        BIRTHDAY CHAR(10) NULL,
        FOLK NVARCHAR2(30) NULL,
        NATIVE_PLACE NVARCHAR2(100) NULL,
        REG_RESIDENT_PLACE NVARCHAR2(200) NULL,
        CERTIFICATE_NUM NVARCHAR2(60) NULL,
        MARITAL_STATUS CHAR(1) NULL,
        POLICY NVARCHAR2(30) NULL,
        BE_MEMBER_DATE CHAR(10) NULL,
        BE_PARTY_DATE CHAR(10) NULL,
        ISLABOUUNION CHAR(1) NULL,
        DEGREE NVARCHAR2(30) NULL,
        HEALTH_INFO CHAR(1) NULL,
        EDUCATION_LEVEL NUMBER NULL,
        HEIGHT NVARCHAR2(10) NULL,
        WEIGHT NUMBER NULL,
        USE_KIND NUMBER NULL,
        START_DATE CHAR(10) NULL,
        END_DATE CHAR(10) NULL,
        PROBATION_END_DATE CHAR(10) NULL,
        RESIDENT_PLACE NVARCHAR2(200) NULL,
        HOME_ADDRESS NVARCHAR2(100) NULL,
        TEMP_RESIDENT_NUMBER NVARCHAR2(60) NULL,
        COMPANY_START_DATE NVARCHAR2(10) NULL,
        WORK_START_DATE NVARCHAR2(10) NULL,
        ACCUM_FUND_ACCOUNT NVARCHAR2(30) NULL,
        ACCOUNT_NAME NVARCHAR2(200) NULL,
        BANK_ID NUMBER NULL,
        ACCOUNT_ID NVARCHAR2(100) NULL,
        SHOW_ORDER NUMBER NULL,
        CLASSIFICATION CHAR(1) NULL,
        COMPANY_WORK_YEAR DECIMAL(10,2) NULL,
        WORK_YEAR DECIMAL(10,2) NULL,
        CREATOR NUMBER NULL,
        DELETE_TYPE NUMBER NULL,
        CREATE_TIME DATE NULL,
        UPDATE_TIME DATE NULL,
        CONSTRAINT JCL_ORG_HRMRESOURCE_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRESOURCEEXT (
           ID NUMBER NOT NULL,
           CREATOR NUMBER NULL,
           DELETE_TYPE NUMBER NULL,
           CREATE_TIME DATE NULL,
           UPDATE_TIME DATE NULL,
           CONSTRAINT JCL_ORG_HRMRESOURCEEXT_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRESOURCEEXT_DT1 (
               ID NUMBER NOT NULL,
               MAINID NUMBER NULL,
               CREATOR NUMBER NULL,
               DELETE_TYPE NUMBER NULL,
               CREATE_TIME DATE NULL,
               UPDATE_TIME DATE NULL,
               CONSTRAINT JCL_ORG_HRMRESOURCEEXT_DT1_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_STAFFPLAN (
      ID NUMBER NOT NULL,
      PLAN_NO NVARCHAR2(100) NULL,
      PLAN_NAME NVARCHAR2(100) NULL,
      PLAN_YEAR NVARCHAR2(100) NULL,
      TIME_START DATE NULL,
      TIME_END DATE NULL,
      COMPANY_ID VARCHAR2(4000) NULL,
      EC_COMPANY VARCHAR2(4000) NULL,
      CONTROL_DIMENSION NVARCHAR2(5) NULL,
      DESCRIPTION NVARCHAR2(1000) NULL,
      FORBIDDEN_TAG NUMBER NULL,
      IS_USED NUMBER NULL,
      CREATOR NUMBER NULL,
      DELETE_TYPE NUMBER NULL,
      CREATE_TIME DATE NULL,
      UPDATE_TIME DATE NULL,
      CONSTRAINT JCL_ORG_STAFFPLAN_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_STAFF (
   ID NUMBER NOT NULL,
   PLAN_ID NUMBER NULL,
   COMP_ID NUMBER NULL,
   EC_COMPANY NUMBER NULL,
   DEPT_ID NUMBER NULL,
   EC_DEPARTMENT NUMBER NULL,
   JOB_ID NUMBER NULL,
   STAFF_NUM NUMBER NULL,
   CONTROL_POLICY NUMBER NULL,
   PERMANENT_NUM NUMBER NULL,
   FREEZE_NUM NUMBER NULL,
   LACK_STATUS NUMBER NULL,
   STAFF_DESC NVARCHAR2(100) NULL,
   DESCRIPTION NVARCHAR2(1000) NULL,
   IS_USED NUMBER NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_STAFF_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_STAFFS (
   ID NUMBER NOT NULL,
   STAFF_ID NUMBER NULL,
   BUSINESS_TYPE NUMBER NULL,
   CHANGE_NUM NUMBER NULL,
   BUSINESS_SOURCE NUMBER NULL,
   REQUESTID NUMBER NULL,
   DESCRIPTION VARCHAR2(200) NULL,
   CREATOR NUMBER NULL,
   DELETE_TYPE NUMBER NULL,
   CREATE_TIME DATE NULL,
   UPDATE_TIME DATE NULL,
   CONSTRAINT JCL_ORG_STAFFS_PK PRIMARY KEY (ID)
);
/

CREATE TABLE HR_LOG (
	ID NUMBER NOT NULL,
	OPERATE_DESC NVARCHAR2(100) NULL,
	OPERATOR_ID NUMBER NULL,
	OPERATOR_NAME NVARCHAR2(100) NULL,
	CREATE_TIME DATE NULL,
	OPERATE_TYPE NUMBER NULL,
	PARAMS_STR NVARCHAR2(2000) NULL,
	CLIENT_IP NVARCHAR2(100) NULL,
	METHOD_NAME NVARCHAR2(100) NULL,
	DELETE_TYPE NUMBER NULL,
	CLASS_NAME NVARCHAR2(100) NULL,
	OPERATE_MODULE_NAME NVARCHAR2(100) NULL,
	OPERATE_MODULE NUMBER NULL,
	MESSAGE NVARCHAR2(2000) NULL,
	VALUE NVARCHAR2(100) NULL,
	CONSTRAINT HR_LOG_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRELATION (
        ID NUMBER NOT NULL,
        SCHEME_ID NUMBER NULL,
        LEVEL_ID NVARCHAR2(100) NULL,
        GRADE_ID NUMBER NULL,
        SEQUENCE_ID NUMBER NULL,
        POST_ID NUMBER NULL,
        POST_INFO_ID NUMBER NULL,
        COMPANY_ID NUMBER NULL,
        DEPARTMENT_ID NUMBER NULL,
        JOB_ID NUMBER NULL,
        CREATOR NUMBER NULL,
        DELETE_TYPE NUMBER NULL,
        CREATE_TIME DATE NULL,
        UPDATE_TIME DATE NULL,
        CONSTRAINT JCL_ORG_HRMRELATION_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_MAP (
	     FID NUMBER NOT NULL,
	     ID NUMBER NOT NULL,
	     FTYPE NUMBER NULL,
	     FOBJID NUMBER NULL,
	     FECID NUMBER NULL,
	     UUID NVARCHAR2(100) NULL,
	     FCLASS NUMBER NULL,
	     FCLASSNAME NVARCHAR2(100) NULL,
	     FNUMBER NVARCHAR2(100) NULL,
	     FNAME NVARCHAR2(255) NULL,
	     FLEADER NUMBER NULL,
	     FLEADERIMG  NVARCHAR2(100) NULL,
	     FLEADERNAME NVARCHAR2(100) NULL,
	     FLEADERJOBID NUMBER NULL,
	     FLEADERJOB NVARCHAR2(255) NULL,
	     FLEADERLV NVARCHAR2(100) NULL,
	     FLEADERST NVARCHAR2(100) NULL,
	     FPARENTID NUMBER NULL,
	     FOBJPARENTID NUMBER NULL,
	     FPLAN NUMBER NULL,
	     FONJOB NUMBER NULL,
	     FISVITUAL NUMBER NULL,
	     FDATEBEGIN DATE NULL,
	     FDATEEND DATE NULL,
	     CREATOR NUMBER NULL,
	     DELETE_TYPE NUMBER NULL,
	     CREATE_TIME DATE NULL,
	     UPDATE_TIME DATE NULL,
	     CONSTRAINT JCL_ORG_MAP_PK PRIMARY KEY (FID)
);
/

CREATE TABLE JCL_IMPORT_HISTORY (
       ID NUMBER NOT NULL,
       OPERATOR NUMBER NOT NULL,
       OPERATE_TIME NVARCHAR2(800) DEFAULT NULL,
       CLIENT_ADDRESS NVARCHAR2(800) DEFAULT NULL,
       IMPORT_TYPE NVARCHAR2(400) DEFAULT NULL,
       SOURCE_FROM NVARCHAR2(400) DEFAULT NULL,
       OPERATE_TYPE NVARCHAR2(400) DEFAULT NULL,
       STATUS NVARCHAR2(800) DEFAULT NULL,
       CONSTRAINT JCL_IMPORT_HISTORY_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_IMPORT_HISTORY_DETAIL (
              ID NUMBER NOT NULL ,
              PID NUMBER NOT NULL,
              ROW_NUMS NVARCHAR2(800) DEFAULT NULL,
              STATUS NVARCHAR2(80) DEFAULT NULL,
              OPERATE_DETAIL NVARCHAR2(1000) DEFAULT NULL,
              RELATED_NAME NVARCHAR2(1000) DEFAULT NULL,
              CONSTRAINT JCL_IMPORT_HISTORY_DETAIL_PK PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_INFO (
	  ID NUMBER NOT NULL,
	  FNAME NVARCHAR2(100) DEFAULT NULL,
	  FVALUE NVARCHAR2(100) DEFAULT NULL,
	  CONSTRAINT JCL_INFO_PK PRIMARY KEY (ID)
);
/

CREATE SEQUENCE JCL_ORG_SCHEME_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_SCHEME_ID_TIGGER BEFORE INSERT ON JCL_ORG_SCHEME FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_SCHEME_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_LEVEL_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_LEVEL_ID_TIGGER BEFORE INSERT ON JCL_ORG_LEVEL FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_LEVEL_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_GRADE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_GRADE_ID_TIGGER BEFORE INSERT ON JCL_ORG_GRADE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_GRADE_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_SEQUENCE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_SEQUENCE_ID_TIGGER BEFORE INSERT ON JCL_ORG_SEQUENCE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_SEQUENCE_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_POST_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_POST_ID_TIGGER BEFORE INSERT ON JCL_ORG_POST FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_POST_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_POST_INFO_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_POST_INFO_ID_TIGGER BEFORE INSERT ON JCL_ORG_POST_INFO FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_POST_INFO_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_COMP_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_COMP_ID_TIGGER BEFORE INSERT ON JCL_ORG_COMP FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_COMP_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_FIELD_GROUP_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_FIELD_GROUP_ID_TIGGER BEFORE INSERT ON JCL_FIELD_EXTENDGROUP FOR EACH ROW
BEGIN
SELECT
    JCL_FIELD_GROUP_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_FIELD_TITLE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_FIELD_TITLE_ID_TIGGER BEFORE INSERT ON JCL_FIELD_EXTENDTITLE FOR EACH ROW
BEGIN
SELECT
    JCL_FIELD_TITLE_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_FIELD_INFO_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_FIELD_INFO_ID_TIGGER BEFORE INSERT ON JCL_FIELD_EXTENDINFO FOR EACH ROW
BEGIN
SELECT
    JCL_FIELD_INFO_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_COMPEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_COMPEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_COMPEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_COMPEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_DEPT_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_DEPT_ID_TIGGER BEFORE INSERT ON JCL_ORG_DEPT FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_DEPT_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_DEPTEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_DEPTEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_DEPTEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_DEPTEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_JOB_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_JOB_ID_TIGGER BEFORE INSERT ON JCL_ORG_JOB FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_JOB_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_JOBDT_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_JOBDT_ID_TIGGER BEFORE INSERT ON JCL_ORG_JOBDT FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_JOBDT_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_JOBEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_JOBEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_JOBEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_JOBEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_HRM_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_HRM_ID_TIGGER BEFORE INSERT ON JCL_ORG_HRMRESOURCE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_HRM_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_HRMEXT_DT1_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_HRMEXT_DT1_ID_TIGGER BEFORE INSERT ON JCL_ORG_HRMRESOURCEEXT_DT1 FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_HRMEXT_DT1_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_STAFFPLAN_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_STAFFPLAN_ID_TIGGER BEFORE INSERT ON JCL_ORG_STAFFPLAN FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_STAFFPLAN_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_STAFF_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_STAFF_ID_TIGGER BEFORE INSERT ON JCL_ORG_STAFF FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_STAFF_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_STAFFS_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_STAFFS_ID_TIGGER BEFORE INSERT ON JCL_ORG_STAFFS FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_STAFFS_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_ORG_MAP_FID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_MAP_FID_TIGGER BEFORE INSERT ON JCL_ORG_MAP FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_MAP_FID.nextval INTO:new.FID
FROM
    dual;
END;
/

CREATE SEQUENCE HR_LOG_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER HR_LOG_ID_TIGGER BEFORE INSERT ON HR_LOG FOR EACH ROW
BEGIN
SELECT
    HR_LOG_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_IMPORT_HISTORY_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_IMPORT_HISTORY_ID_TIGGER BEFORE INSERT ON JCL_IMPORT_HISTORY FOR EACH ROW
BEGIN
SELECT
    JCL_IMPORT_HISTORY_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_IMPORT_DETAIL_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_IMPORT_DETAIL_ID_TIGGER BEFORE INSERT ON JCL_IMPORT_HISTORY_DETAIL FOR EACH ROW
BEGIN
SELECT
    JCL_IMPORT_DETAIL_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

CREATE SEQUENCE JCL_INFO_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_INFO_ID_TIGGER BEFORE INSERT ON JCL_INFO FOR EACH ROW
BEGIN
SELECT
    JCL_INFO_ID.nextval INTO:new.ID
FROM
    dual;
END;
/